#include "internal_data.h"

static internal_data internal_data_container;

void internal_data_init( int  *argc,
			 char ***argv )
{
  extern internal_data internal_data_container;

  corrida_printf ("initalizing internal module...");

  /* here we should get defaults settings in future... */
  
  /* now we set up only 'factory' settings */
  internal_data_container.edition_stat = INTERNAL_DATA_NOT_EDITED;
  internal_data_container.charts_pointer_corrida_style = SETTINGS_CHARTS_POINTER_COORDS_STYLE_DEGS;
  internal_data_container.sharedir_path = g_strdup (CORRIDA_SHAREDIR);
}

void internal_data_set_edition_stat( gint edition_stat )
{
  extern internal_data internal_data_container;

  internal_data_container.edition_stat = edition_stat;
}

gint internal_data_get_edition_stat( void )
{
  extern internal_data internal_data_container;

  return internal_data_container.edition_stat;
}

gchar *internal_data_get_solar_long_table_path( void )
{
  
  gchar path[MAX_CORRIDA_STRLEN];

  /* FIXME: we should used internal_data_container here */
  sprintf (path, "%sSOLAR_LONGITUDE_TABLE", CORRIDA_SHAREDIR);

  return g_strdup (path); /* FIXME: g_strdup ... */
}

gint internal_data_get_charts_pointer_coords_style( void )
{
  extern internal_data internal_data_container;

  return internal_data_container.charts_pointer_corrida_style;
}

void internal_data_set_charts_pointer_coords_style( gint style )
{
  extern internal_data internal_data_container;

  internal_data_container.charts_pointer_corrida_style = style;
}

gchar *internal_data_get_vmdbsite_path( void )
{
  gchar path[MAX_CORRIDA_STRLEN];

  /* FIXME: we should used internal_data_container here */
  sprintf (path, "%sVMDBSITE", CORRIDA_SHAREDIR);

  return g_strdup (path); /* FIXME: g_strdup ... */
}

gchar *internal_data_get_sharedir_path( void )
{
  extern internal_data internal_data_container;

  return internal_data_container.sharedir_path;
}
